Create a scheduled volunteer shift
POST
/api/volunteers/schedule
const url = 'https://example.com/api/volunteers/schedule';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"volunteer_user_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","partner_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","start_time":"2026-04-15T12:00:00Z","end_time":"2026-04-15T12:00:00Z"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/volunteers/schedule \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "volunteer_user_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "partner_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "start_time": "2026-04-15T12:00:00Z", "end_time": "2026-04-15T12:00:00Z" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
volunteer_user_id
required
string format: uuid
partner_id
string format: uuid
start_time
required
string format: date-time
end_time
required
string format: date-time
Examplegenerated
{ "volunteer_user_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "partner_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "start_time": "2026-04-15T12:00:00Z", "end_time": "2026-04-15T12:00:00Z"}Responses
Section titled “Responses”Shift scheduled successfully